/** Shopify CDN: Minification failed

Line 2030:2 Unexpected "}"

**/
*,
:before,
:after {
    box-sizing: border-box;
    border-style: solid;
    border-width: 0;
    border-color: rgb(var(--text-body-rgb-color) / .12);
}

.no-js .no-js-hidden {
    display: none !important;
}

html {
    -webkit-text-size-adjust: 100%;
    scrollbar-gutter: stable;
}
 
body {
    background: rgb(var(--background-rgb-color));
    color: rgb(var(--text-body-rgb-color));
    font-size: var(--font-size-md);
    font-family: var(--font-family-body);
    font-weight: var(--font-weight-body);
    font-style: var(--font-style-body);
    letter-spacing: var(--letter-spacing-body);
    line-height: var(--line-height-body);
    margin: 0;
    position: relative;
}

.skip-to-content-btn {
    position: absolute!important;
    overflow: hidden;
    padding: 0;
    border: 0;
    clip: rect(0 0 0 0);
    word-wrap: normal!important;
    width: 0.063rem;
    height: 0.063rem;
    margin: -0.063rem;
}

.skip-to-content-btn:focus-visible {
    clip: auto;
    width: auto;
    height: auto;
    margin: 0;
    opacity: 1;
    z-index: 999;
    transition: none;
}

a {
    color: inherit;
    -webkit-text-decoration: inherit;
    text-decoration: inherit;
}

b,
strong {
    font-weight: bolder;
}

table {
    border-color: inherit;
    border-collapse: collapse;
}

button,
input,
optgroup,
select,
textarea {
    font-family: inherit;
    font-size: 100%;
    font-weight: inherit;
    font-style: inherit;
    line-height: inherit;
    text-transform: inherit;
    color: inherit;
    margin: 0;
    padding: 0;
}

button,
select {
    text-transform: none;
}

button,
[type=button],
[type=reset],
[type=submit] {
    -webkit-appearance: button;
    background-color: #0000;
    background-image: none;
    text-align: inherit;
}

button,
label,
summary,
[role=button],
[type=checkbox],
[type=radio],
[type=submit] {
    -webkit-tap-highlight-color: transparent;
    cursor: pointer;
    touch-action: manipulation;
}

:-moz-focusring {
    outline: auto;
}

:-moz-ui-invalid {
    box-shadow: none;
}

::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
    height: auto;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0;
}

[type=search] {
    outline-offset: -0.125rem;
    appearance: textfield;
    -webkit-appearance: textfield;
}

::-webkit-search-decoration,
::-webkit-search-cancel-button {
    display: none;
}

::-webkit-search-decoration {
    -webkit-appearance: none;
}

::-webkit-file-upload-button {
    -webkit-appearance: button;
    font: inherit;
}

::-webkit-date-and-time-value {
    text-align: start;
}

*:not(html):not(body) {
    /*  CUSTOM SCROLLBAR START */
    scrollbar-width: thin;
    scrollbar-color: rgb(var(--text-body-rgb-color, 193, 193, 193)) transparent;

    &::-webkit-scrollbar {
        width: 6px;
        height: 6px;
    }

    &::-webkit-scrollbar-track {
        background: transparent;
        border-radius: 8px;
    }

    &::-webkit-scrollbar-thumb {
        background-color: rgb(var(--text-body-rgb-color, 193, 193, 193));
        border-radius: 8px;
        border: 1px solid transparent;
        background-clip: content-box;

        &:hover {
            background-color: var(--text-color-light, rgba(136, 136, 136, 1));
            background-color: rgba(var(--text-body-rgb-color, 136, 136, 136), 0.6);
        }
    }

    /*  CUSTOM SCROLLBAR END */
}


summary {
    -webkit-user-select: none;
    user-select: none;
    list-style-type: none;
}

summary::-webkit-details-marker {
    display: none;
}

blockquote,
dl,
dd,
h1,
h2,
h3,
h4,
h5,
h6,
hr,
figure,
p,
pre {
    margin: 0;
}

fieldset {
    margin: 0;
    padding: 0;
}

legend {
    padding: 0;
}

ol,
ul,
menu {
    margin: 0;
    padding: 0;
    list-style: none;
}

.table-responsive {
    display: block;
    max-width: 100%;
    overflow-x: auto !important;
    padding-block-end: 0.5rem;
}

h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6,
.heading-font {
    font-family: var(--font-family-heading);
    font-weight: var(--font-weight-heading);
    font-style: var(--font-style-heading);
    text-transform: var(--text-transform-heading);
    letter-spacing: var(--letter-spacing-heading);
    line-height: var(--line-height-heading);
    font-size: inherit;
}

.body-font {
    font-family: var(--font-family-body);
    font-weight: var(--font-weight-body);
    font-style: var(--font-style-body);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: rgba(var(--text-heading-rgb-color));
}

.heading-large {
    font-size: calc(clamp(2rem, 10vw, 13.4rem)*1);
}

.h1,
h1 {
    font-size: var(--font-h1);
}

.h2,
h2 {
    font-size: var(--font-h2);
}

.h3,
h3 {
    font-size: var(--font-h3);
}

.h4,
h4 {
    font-size: var(--font-h4);
}

.h5,
h5 {
    font-size: var(--font-h5);
}

.h6,
h6 {
    font-size: var(--font-h6);
}

.text-italic {
    font-style: italic;
}

.section-head {
    padding-block-end: 1rem;
}

.section-heading {
    word-wrap: break-word;
}

.section-text,
.section-btn {
    margin-block-start: 0.75rem;
}

.heading-with-link {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-block-end: 2rem;
}

.heading-with-link .link svg {
    display: inline-block;
    width: 1rem;
    height: 1rem;
}

.link-underline {
    display: inline-flex;
    align-items: center;
    gap: 0.5rem;
    position: relative;
    width: fit-content;
    background-image: linear-gradient(to right, currentColor 50%, transparent 50%), linear-gradient(to left, currentColor 50%, transparent 50%);
    background-size: 0% 0.063rem, 0% 0.063rem;
    background-repeat: no-repeat;
    background-position: right bottom;
    transition: background-size .4s cubic-bezier(.2, 1, .8, 1);
    box-decoration-break: clone;
    -webkit-box-decoration-break: clone;
    text-decoration: unset;
    padding-block-end: 0.3rem;
}

.link-underline:hover {
    background-size: calc(100% + 0.063rem) 0.063rem, 100% 0.063rem;
    background-position: left bottom;
}

input[type=number] {
    -moz-appearance: textfield;
}

textarea {
    resize: vertical;
}

input::placeholder,
textarea::placeholder {
    opacity: 1;
    color: #8f949d;
}
.logo-placeholder-svg{
    background: rgb(var(--foreground-rgb-color));
}
a[aria-disabled="true"]:not(.media-collection-inner):not(:has(.placeholder-svg)):not(a[role="link"]:not([href])),
.variant-option .swatches-item:has(input:disabled) label,
.utility-group-item:has(input:disabled) .utility-group-text,
.not-available {
    opacity: 0.5;
    cursor: not-allowed;
}

:disabled,
.disabled {
    pointer-events: none;
    opacity: 0.5;
    cursor: not-allowed;
}

img,
video,
iframe,
object {
    display: block;
    vertical-align: middle;
}

img {
    color: #0000;
    max-width: 100%;
    object-fit: inherit;
    object-position: inherit;
    height: auto;
}

picture img {
    min-height: inherit;
    width: 100%;
    max-height: 100%;
}

video {
    width: 100%;
    max-width: 100%;
    height: auto;
}

:focus:not(:focus-visible) {
    outline: none;
}

.visually-hidden {
    position: absolute!important;
    overflow: hidden;
    width: 0.063rem;
    height: 0.063rem;
    margin: -0.063rem;
    padding: 0;
    border: 0;
    clip: rect(0 0 0 0);
    word-wrap: normal!important;
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
}

product-media-slider iframe, 
.media :is(product-model,.shopify-model-viewer-ui) {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border: none;
}

.mobiledrag {
    --tw-translate-x: -50%;
    content: "";
    height: 1.5rem;
    width: 4rem;
    position: relative;
    margin-inline: auto;
    display: flex;
    align-items: center;
    justify-content: center;
}
.mobiledrag::before {
    content: "";
    --tw-translate-x: -50%;
    background-color: rgb(var(--text-body-rgb-color));
    border-radius: var(--card-radius);
    height: .5rem;
    width: 4rem;
    position: absolute;
    
}

.dialog {
    position: fixed;
    z-index: 99;
    inset: 0rem;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    padding: 0rem;
    background: transparent !important;
    transition: 0.5s cubic-bezier(0.7, 0, 0.2, 1) 0.52s;
}

.dialog.is-active {
    opacity: 1;
    visibility: visible;
    pointer-events: all;
    transition: 0.5s cubic-bezier(0.7, 0, 0.2, 1) 0s;
}

.dialog-overlay {
    position: fixed;
    inset: 0;
    background: rgb(var(--background-overlay-rgb-color));
    opacity: var(--overlay-opacity-color) !important;
    transition: all 0.3s ease; 
}

.dialog .dialog-inner {
    will-change: transform;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr auto;
    width: 100%;
    max-height: 100%;
    height:80lvh;
    max-width: 80rem;
    pointer-events: auto;
    position: relative;
    color: rgb(var(--text-body-rgb-color));
    background: rgb(var(--background-rgb-color));
    transition: all 0.4s cubic-bezier(0.7, 0, 0.2, 1);
    box-shadow: 0rem 0rem 1rem rgb(var(--text-body-rgb-color) / 0.15);
}

.dialog.is-visible .dialog-inner {
    transform: scale(1);
    opacity: 1;
}

.dialog .dialog-content {
    padding: 0.5rem 1.5rem 1.5rem;
    width: 100%;
    max-width: 70rem;
    margin-inline: auto;
    max-height: calc(100vh - 2rem);
}

.dialog-close {
    position: absolute;
    inset-inline-end: 1.5rem;
    inset-block-start: 1rem;
    margin-inline-start: auto;
    display: none;
    background: transparent;
    border: none;
    cursor: pointer;
    width: 1.8rem;
    min-width: 1.8rem;
    height: 1.8rem;
    padding: .33rem;
    transition: all 0.3s cubic-bezier(.5,-.33,.26,1.19);
    z-index: 1;
}

.dialog-close svg {
    width: 100%;
    height: 100%;
    transition: all 0.3s cubic-bezier(.5,-.33,.26,1.19);
}

.dialog-close:hover svg {
    transform: rotate(90deg);
    
}

.dialog-footer {
    padding: 0.2rem 1.5rem 1rem;
    margin-block-start: auto;
}

.dialog-footer .action-wrapper {
    margin-block: 1rem;
}

.dialog-footer .action-wrapper .link-btn {
    margin-block-start: 0.6rem;
}

.cart-product-cont span svg {
    vertical-align: middle;
}

.shopify-payment-button__button,
.button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: auto;
    grid-gap: 0.625rem;
    position: relative;
    -webkit-appearance: none;
    appearance: none;
    border-radius: var(--button-radius);
    text-align: center;
    font-family:var(--button-font-family);
    font-size: calc(var(--font-size-xs) * var(--button-font-scale));
    font-weight: var(--button-font-weight);
    text-transform: var(--button-text-transform);
    letter-spacing: var(--letter-spacing-body);
    padding: 0.875rem 1.65rem;
    transition: background-color .15s ease-in-out, color .15s ease-in-out, box-shadow .15s ease-in-out;
    position: relative;
    overflow: hidden;
    z-index: 1;
    cursor: pointer;
}

.shopify-payment-button__button {
    line-height: inherit;
}

.button {
    background-color: rgb(var(--button-primary-bg-rgb-color));
    color: rgb(var(--button-primary-text-rgb-color));
    border: 0.063rem solid rgba(var(--button-primary-border-rgb-color));
}

.button:hover,
.button:before {
    background: rgba(var(--button-primary-bg-hover-rgb-color));
}

.shopify-payment-button .shopify-payment-button__button:before {
    background-color: rgb(var(--button-secondary-bg-rgb-color));
}

.button:hover:before, 
.shopify-payment-button .shopify-payment-button__button:hover:before {
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    -webkit-transition-timing-function: cubic-bezier(0.52, 1.64, 0.37, 0.66);
    transition-timing-function: cubic-bezier(0.52, 1.64, 0.37, 0.66);
}

.button:hover {
    color: rgba(var(--button-primary-text-hover-rgb-color));
    border: 0.063rem solid rgba(var(--button-primary-border-rgb-color));
}

.button span {
    position: relative;
    z-index: 1;
}

.button-sm {
    min-height: 2.2rem;
    padding: 0.4rem 1.125rem;
}

.button-md + .shopify-payment-button .shopify-payment-button__button,
.button-md {
    min-height: 3.13rem;
    padding: 0.875rem 2rem;
}

.button-lg + .shopify-payment-button .shopify-payment-button__button,
.button-lg {
    min-height: 3.5rem;
    padding: 1rem 3rem;
    font-size: calc(var(--font-size-sm) * var(--button-font-scale));
}

.button-secondary, 
.shopify-payment-button .shopify-payment-button__button {
    background-color: rgba(var(--button-secondary-bg-rgb-color));
    color: rgba(var(--button-secondary-text-rgb-color));
    border: 0.063rem solid rgba(var(--button-secondary-border-rgb-color));
}

.button-secondary:hover,
.shopify-payment-button .shopify-payment-button__button:hover {
    color: rgba(var(--button-secondary-text-hover-rgb-color));
}

.button-secondary:hover:before,
.stroke-button:hover:before,
.shopify-payment-button .shopify-payment-button__button:hover:before {
    background-color: rgba(var(--button-secondary-bg-hover-rgb-color));
}

.shopify-payment-button__button--unbranded:hover:not([disabled]) {
    background-color: inherit;
}

.stroke-button {
    background: none;
    color: rgba(var(--button-primary-bg-rgb-color));
    border: 0.0625rem solid rgb(var(--border-rgb-color))
}

.stroke-button:hover {
    background-color: rgba(var(--button-primary-bg-rgb-color));
    color: rgba(var(--button-primary-text-rgb-color));
    border: 0.063rem solid rgba(var(--button-primary-bg-rgb-color));
    box-shadow: none;
}

.button:is(.loading) .button-text {
    visibility: hidden;
    opacity: 0;
}

.button .spinner-loading-btn {
    position: absolute;
    width: 1.5rem;
    inset: 0;
    margin: auto;
    display: none;
    align-items: center;
    justify-content: center;
}

.button:is(.loading) .spinner-loading-btn {
    display: flex;
}

.status-badges-product {
    position: absolute;
    inset-block-start: 0;
    padding: 1rem;
    z-index: 2;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: flex-start;
    gap: .25rem;
    max-width: 100%;
}

.status-badges-product:is(.badge-top_left) {
    inset-inline-start: 0;
}

.status-badges-product:is(.badge-top_right) {
    inset-inline-end: 0;
}

.status-badges-product:is(.badge-bottom_left) {
    inset-block-end: 0;
    inset-block-start: inherit;
    inset-inline-start: 0;
}

.status-badge {
    display: flex;
    align-items: center;
    gap: 0.625rem;
    padding: 0.25rem 0.625rem;
    background: rgba(var(--badge-default-bg-rgb-color));
    color: rgba(var(--badge-default-text-rgb-color));
    border-radius: var(--badge-radius);
    font-size: var(--font-size-xs);
    line-height: 1;
    text-transform: inherit;
}

.status-badge-primary {
    background-color: rgba(var(--badge-primary-bg-rgb-color));
    color: rgba(var(--badge-primary-text-rgb-color));
}

.status-badge-sold {
    background-color: rgba(var(--badge-soldout-bg-rgb-color));
    color: rgba(var(--badge-soldout-text-rgb-color));
}

.status-badge-sale {
    background-color: rgba(var(--badge-sale-bg-rgb-color));
    color: rgba(var(--badge-sale-text-rgb-color));
}

.status-badge-new {
    background-color: rgba(var(--badge-default-bg-rgb-color));
    color: rgba(var(--badge-default-text-rgb-color));
}

.input,
.textarea,
.select {
    -webkit-appearance: none;
    appearance: none;
    height: auto;
    border-radius: var(--input-radius);
    background: rgb(var(--input-bg-rgb-color, transparent));
    color: rgb(var(--input-text-rgb-color, var(--text-body-rgb-color)));
    text-align: start;
    border-width: 0.063rem;
    width: 100%;
    padding: 1rem 1rem;
    font-size: var(--font-size-sm);
}

:is(.input:focus, .textarea:focus, .select:focus-visible) {
    border-color: currentColor;
    outline: none;
    box-shadow: inset 0 0 0 0.063rem
}

.textarea {
    vertical-align: top;
    height: auto;
    border-radius: min(1rem, var(--input-radius));
}

.select {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.75rem;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20' fill='%2323666'%3E%3Cpath fill-rule='evenodd' d='M5.23 7.21a.75.75 0 011.06.02L10 10.94l3.71-3.71a.75.75 0 111.06 1.06l-4.24 4.24a.75.75 0 01-1.06 0L5.21 8.29a.75.75 0 01.02-1.08z' clip-rule='evenodd'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 1.125rem;
}

.select select {
    width: 100%;
}

.form-flex-wrapper {
    justify-content: space-between;
    width: 100%;
    flex-wrap: wrap;
}

.form-flex-wrapper .form-field {
    flex: 0 0 100%;
    width: 100%;
}

.product-media-zoom {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 2.2rem;
    width: 2.2rem;
    position: absolute;
    inset-inline-start: 1rem;
    inset-block-start: 1rem;
    background-color: rgb(var(--background-rgb-color));
    color: rgb(var(--text-body-rgb-color));
    box-shadow: 0 6px 20px rgba(0, 0, 0, 0.1);
    border-radius: 99rem;
    z-index: 1;
    transition: all 0.3s cubic-bezier(0.65, 0.05, 0.36, 1);
}

.form-field {
    text-align: start;
    position: relative;
    margin-block-end: 0.7rem;
}

@media screen and (min-width: 768px) {
    .form-flex-wrapper {
        column-gap: 1.25rem;
    }
    .form-flex-wrapper .form-field {
        max-width: calc(100% / 2 - 0.7rem);
    }
    .form-field {
        margin-block-end: 1.125rem;
    }
}

.form-flex-wrapper .form-field-full {
    max-width: calc(100% / 1 - 0.7rem);
}


/* ========= */

.alert-state {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    position: relative;
    padding: 0.563rem 1rem;
    font-size: var(--font-size-sm);
    border-radius: 0.2rem;
    margin-block-end: 1rem;
}

.success-state {
    background-color: rgb(var(--success-bg-rgb-color));
    color: rgb(var(--success-text-rgb-color));
}

.warning-state {
    background-color: rgb(var(--error-bg-rgb-color));
    color: rgb(var(--error-text-rgb-color));
}

.info-state {
    background-color: rgb(var(--info-bg-rgb-color));
    color: rgb(var(--info-text-rgb-color));
}

.pointer-events-none {
    pointer-events: none;
}

.area-scrollable {
    overflow-y: auto;
    overflow-x: hidden;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
    overscroll-behavior-x: contain;
    height: 100%;
}

.slider-click::after {
    content: none;
}

.slider-click {
    width: 2.5rem;
    height: 2.5rem;
    overflow: hidden;
    border-radius: var(--arrow-radius);
    /* padding: 0.9rem; */
    transition: all 0.65s cubic-bezier(0.4, 0, 1, 1);
    color: rgb(var(--arrow-icon-rgb-color));
}

.slider-click-nav:is(:not(.transparent-arrow)) .slider-click {
    background: rgb(var(--arrow-bg-rgb-color));
    color: rgb(var(--arrow-icon-rgb-color));
}
.slider-click-nav:is(:not(.transparent-arrow)) .slider-click::before {
    content: '';
    inset: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    transform: scaleY(0);
    transform-origin: top left;
    background: rgb(var(--arrow-icon-rgb-color));
    transition: transform 0.65s cubic-bezier(.62,.05,.01,.99);
}
.slider-click-nav:is(:not(.transparent-arrow)) .slider-click:hover::before {
    transform: none;
    transform-origin: bottom left;
}

.slider-click-nav:is(:not(.transparent-arrow)) .slider-click:hover {
    color: rgb(var(--arrow-bg-rgb-color));
}

.slider-click svg {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 12px;
    height: 12px;
}

.slider-click-nav {
    display: flex;
    gap: 0.7rem;
    margin-block-start: auto;
}

.slider-click-nav .slider-click {
    position: relative;
    inset: auto;
    margin: 0;
    z-index: 1;
}

.slider-click-nav:is(.arrow-small) .slider-click {
    width: 2rem;
    min-width: 2rem;
    height: 2rem;
    padding: 0.65rem;
}
/* .slider-nav-clip {
    justify-content: flex-end;
    width: 1.2rem;
    height: 1.2rem;
    display: flex;
    position: relative;
    flex: 0 0 auto;
    overflow: hidden;
}
.swiper-button-prev .slider-nav-clip {
    justify-content: flex-start;
}
.slider-nav-icons {
    flex-grow: 1;
    flex-shrink: 0;
    height: 100%;
    display: flex;
    position: relative;
    transform: translateX(0);
    justify-content: flex-start;
}

.slider-click:hover .slider-nav-icons {
    transition: transform 0.3s cubic-bezier(0.62, 0.05, 0.01, 0.99);
}

.slider-nav-icon {
    width: 1.2rem;
    height: 100%;
    display: flex;
    flex-shrink: 0;
    align-items: center;
    justify-content: center;
} */

[hidden] {
    display: none !important;
}

.display-none {
    display: none !important;
}

.d-contents {
    display: contents !important;
}

.display-inline-block {
    display: inline-block !important;
}

.display-block {
    display: block !important;
}

.display-flex {
    display: flex !important;
}

.display-inline-flex {
    display: inline-flex !important;
}

.grid {
    display: grid;
    grid-gap: var(--grid-gutter);
    grid-template-columns: repeat(var(--grid--item), minmax(0, 1fr));
    --grid-gutter: 1.25rem;
    align-items: flex-start;
}

.grid--1 {
    --grid--item: 1;
}

.grid--2 {
    --grid--item: 2;
}

.grid--3 {
    --grid--item: 3;
}

.grid--4 {
    --grid--item: 4;
}

.grid--5 {
    --grid--item: 5;
}

.grid--6 {
    --grid--item: 6;
}

.grid--7 {
    --grid--item: 7;
}

.grid--8 {
    --grid--item: 8;
}

@media screen and (min-width: 768px) {
    .grid--1-md {
        --grid--item: 1;
    }
    .grid--2-md {
        --grid--item: 2;
    }
    .grid--3-md {
        --grid--item: 3;
    }
    .grid--4-md {
        --grid--item: 4;
    }
    .grid--5-md {
        --grid--item: 5;
    }
    .grid--6-md {
        --grid--item: 6;
    }
    .grid--7-md {
        --grid--item: 7;
    }
    .grid--8-md {
        --grid--item: 8;
    }
}

@media screen and (min-width: 992px) {
    .grid--1-lg {
        --grid--item: 1;
    }
    .grid--2-lg {
        --grid--item: 2;
    }
    .grid--3-lg {
        --grid--item: 3;
    }
    .grid--4-lg {
        --grid--item: 4;
    }
    .grid--5-lg {
        --grid--item: 5;
    }
    .grid--6-lg {
        --grid--item: 6;
    }
    .grid--7-lg {
        --grid--item: 7;
    }
    .grid--8-lg {
        --grid--item: 8;
    }
}

@media screen and (min-width: 1281px) {
    .grid--1-xl {
        --grid--item: 1;
    }
    .grid--2-xl {
        --grid--item: 2;
    }
    .grid--3-xl {
        --grid--item: 3;
    }
    .grid--4-xl {
        --grid--item: 4;
    }
    .grid--5-xl {
        --grid--item: 5;
    }
    .grid--6-xl {
        --grid--item: 6;
    }
    .grid--7-xl {
        --grid--item: 7;
    }
    .grid--8-xl {
        --grid--item: 8;
    }
}

.position-relative {
    position: relative;
}

.position-absolute {
    position: absolute;
}

.position-sticky {
    position: sticky;
}

.position-fixed {
    position: fixed;
}

.position-inherit {
    position: inherit;
}

.direction-column {
    flex-direction: column;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-grow {
    flex-grow: 1;
}

.flex-shrink-0 {
    flex-shrink: 0;
}

.align-start {
    text-align: start;
}

.align-center {
    text-align: center;
}

.align-end {
    text-align: end;
}

.justify-content-start {
    justify-content: start;
}

.justify-content-center {
    justify-content: center;
}

.justify-content-end {
    justify-content: end;
}

.justify-content-between {
    justify-content: space-between;
}

.align-items-start {
    align-items: start;
}

.align-items-center {
    align-items: center;
}

.align-items-end {
    align-items: end;
}

.valign-top {
    vertical-align: top;
}

.valign-center {
    vertical-align: middle;
}

.valign-bottom {
    vertical-align: bottom;
}

.w-100 {
    width: 100%;
}

.h-100 {
    height: 100%;
}

.minw-100 {
    min-width: 100%;
}

.minh-100 {
    min-height: 100%;
}

.overflow-hide {
    overflow: hidden;
}

.object-fit-cover {
    object-fit: cover;
    object-position: center;
}

.object-fit-contain {
    object-fit: contain;
    object-position: center;
}

.placeholder {
    background: rgb(var(--text-body-rgb-color) / .3);
    fill: rgb(var(--text-body-rgb-color) / .7);
    color: rgb(var(--text-body-rgb-color) / .7);
    display: block;
}

.fw-bold {
    font-weight: 700;
}

.text-extra-sm {
    font-size: var(--font-size-xs);
}

.text-small {
    font-size: var(--font-size-sm);
}

.text-normal {
    font-size: var(--font-size-md);
}

.text-large {
    font-size: var(--font-size-lg);
}

.text-extra-lg {
    font-size: var(--font-size-xl);
}

.text-extra-xl {
    font-size: var(--font-size-2xl);
}

small,
.small {
    font-size: 80%;
}

.content-wd {
    word-wrap: break-word;
}

.sharing-product-links .dialog-title {
    margin-bottom: 1.2rem;
}

.sharing-product-ints {
    display: flex;
    align-items: center;
    position: relative;
    border: 0.0625rem solid rgb(var(--border-rgb-color));
    border-radius: var(--input-radius);
    margin-bottom: 1.2rem;
}

.sharing-product-links .sharing-product-ints input {
    border: 0;
    outline: none;
    box-shadow: none;
    font-size: var(--font-size-sm);
    background: transparent;
}

.sharing-product-ints .btn-copy {
    padding: 0.5rem;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 3rem;
    height: 3rem;
}

.sharing-product-ints .btn-copy svg {
    width: 70%;
    height: 70%;
}

.btn-copy.copied {
  opacity:0.5;
  pointer-events:none;
}

.get-in-content {
    margin-block-start: 2rem;
    display: grid;
    gap: 0.5rem;
}

.get-info {
    padding-block: 1.5rem;
    margin-block-start: 1.5rem;
    border-top: .0625rem solid rgb(var(--border-rgb-color));
}

.get-info-item:not(:last-child) {
    margin-block-end: 0.5rem;
}

.get-info-label {
    display: block;
    font-weight: 600;
    margin-block-end: 0.2rem;
}

.get-info-item .get-info-label {
    display: inline-block;
    font-size: var(--font-size-sm);
}

.get-info-item .get-info-text {
    display: inline-block;
}

.get-info-text>a {
    font-size: var(--font-size-sm);
}

.case-material-box {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 2rem;
}

.case-material-item img {
    border-radius: var(--block-radius);
}

.case-material-inr-item {
    margin-block-start: 2rem;
}

.store-availability-product {
    display: flex;
    gap: 1.25rem;
}

.store-availability-product-img {
    width: 7.625rem;
    height: 8.875rem;
    border-radius: 0.375rem;
    overflow: hidden;
}

.store-availability-product-content {
    flex: 1;
}
.store-availability-product-content .product-options {
    margin-block-start: 0.25rem;
    color: rgb(var(--text-body-rgb-color) / .6);
}

.store-availability-list-inner {
    margin-block-start: 2rem;
    padding: 1.5rem;
    background: rgb(var(--foreground-rgb-color));
    border-radius: calc(var(--block-radius) - 0.8rem);
}

.store-availability-list-inner>*:not(:last-child) {
    margin-block-end: 0.8rem;
}

.store-availability-status {
    flex: 0 0 auto;
    width: 100%;
    display: flex;
    align-items: center;
    gap: 0.625rem;
}

.store-availability-name {
    font-size: var(--font-size-xs);
    padding: 0.3rem 1rem;
    background: rgb(var(--text-body-rgb-color));
    color: rgb(var(--background-rgb-color));
    border-radius: 999rem;
}

.availability-description {
    font-size: var(--font-size-sm);
    display: block;
}

.shipping-bar {
    margin-bottom: 2rem;
}
.cart-dialog {
    .shipping-bar {
        padding-top: .6rem;
        display: block;
    }
    .card-product {
        &:hover {
            .product-swatches-container {
                .price-list{
                    transform: none !important;
                    opacity: 1;
                }
            }
        }
        .product-swatches-container {
            .product-variants {
                display: none;
            }
        }
    }
}
.shipping-bar-text {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    margin-bottom: .6rem;
}

.progress-bar {
    position: relative;
    overflow: hidden;
    height: .375rem;
    border-radius: 0.25rem;
    background-color: rgba(var(--text-body-rgb-color)/ .06);
}

.progress-bar .progress {
    position: relative;
    display: block;
    width: var(--progress);
    height: 100%;
    border-radius: 0.25rem;
    background-image: linear-gradient(90deg, rgba(var(--text-body-rgb-color)), rgba(var(--text-body-rgb-color)));
    transition: var(--transition);
}

.product-cart-item {
    display: block;
    border-bottom: 0.0625rem solid rgb(var(--border-rgb-color));
}

.cart-product {
    display: flex;
    width: 100%;
    align-items: stretch;
    gap: 1.25rem;
    position: relative;
    margin-block: 1.3rem;
}

.cart-product-thumb {
    position: relative;
    flex-shrink: 0;
    width: 100%;
    max-width: 6rem;
    height: 6rem;
    overflow: hidden;
    border-radius: var(--card-radius);
}

.cart-product-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
    transition: all .3s cubic-bezier(.4, 0, 1, 1);
}

.cart-product-cont {
    display: flex;
    flex-direction: column;
    padding: .5rem 0;
    gap: .325rem;
    flex: 1;
    font-size: var(--font-size-sm);
}
.cart-product-dls {
    display: flex;
    flex-wrap: wrap;
}
.cart-product-dl {
    display: flex;
    font-size: 0.625rem;
    letter-spacing: .01em;
    text-transform: uppercase;
    color: rgb(var(--text-body-rgb-color) / 0.60);
}

.cart-product-dl+.cart-product-dl:before {
    content: "-";
    display: inline-block;
    vertical-align: middle;
    margin: 0 .188rem;
}

.cart-remove {
    border: 0.0625rem solid rgb(var(--border-rgb-color));
    padding: 0.25rem 0.65rem;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 999rem;
    transition: all .3s ease-in-out;
}

.cart-remove:hover {
    background: rgba(var(--input-text-rgb-color));
    color: rgba(var(--input-bg-rgb-color));
}

.dialog-tabs {
    padding: 0.575rem;
    display: flex;
    gap: 0.5rem;
    flex-wrap: wrap;
    background: rgb(var(--foreground-rgb-color));
    border-radius: min(0.5rem, var(--card-radius));
    margin-block-end: 1rem;
}

.dialog-tabs-button {
    display: flex;
    align-items: center;
    gap: 0.6rem;
    border-radius: min(0.5rem, var(--card-radius));
    padding: 0.4rem 0.875rem;
    font-size: var(--font-size-sm);
}

.dialog-tabs-button:hover,
.dialog-tabs-button:has(+ .dialog-tab-panel.is-active) {
    background: rgb(var(--background-rgb-color));
}

.dialog-tab-panel {
    position: absolute;
    inset-block-end: 0;
    inset-inline: 0;
    z-index: 40;
    height: 100%;
    width: 100%;
    opacity: 0;
    transition:all 0.5s ease;
    pointer-events: none;
    display:flex;
    align-items:flex-end;
    transform: translateY(100%);
    transition:all 0.7s ease-in-out;
    visibility:hidden;
}

.dialog-tab-panel.is-active {
  transform: translateY(0);
  opacity: 1;
    visibility:visible;
    pointer-events: all;
}

.dialog-tab-close {
    position: absolute;
    inset-block-start: 1rem;
    inset-inline-end: 2rem;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: .2rem;
    width: 2rem;
    height: 2rem;
    min-width: 2rem;
    vertical-align: middle;
    transition: all .3s cubic-bezier(.5,-.33,.26,1.19);
    z-index: 1;
}

.dialog-tab-close:hover {
    transform: rotate(90deg);
}

.dialog-tab-panel-content {
    width: 100%;
    background: rgb(var(--background-rgb-color));
    z-index: 40;
    padding: 2rem;
    box-sizing: border-box;
    max-width: 38.438rem;
    border-top-left-radius: var(--card-radius);
    border-top-right-radius: var(--card-radius);
}

.cart-dialog:has(.dialog-tab-panel.is-active) cart-recommendations.cart-products-wrapper:before, .cart-dialog:has(.dialog-tab-panel.is-active) .dialog-inner:before {
    transition: all .7s ease-in-out;
    pointer-events: all;
    opacity: 0.7;
}

.dialog-tab-inner :is(.applied-discount, .cart-discount-error) {
    margin-block-start: 1rem;
    font-size: var(--font-size-xs);
    justify-content: space-between;
}

cart-recommendations.cart-products-wrapper:before, .cart-dialog .dialog-inner:before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 20;
    transition: all .4s ease-in-out;
    pointer-events: none;
    opacity: 0;
    background: #000000;
}

.dialog-tab-title {
    margin-bottom: 1rem;
}

.discount-total {
    padding: 0.6rem 0;
}

.total-amount>div {
    margin-block-start: 0.5rem;
}

.product-qty-with-delete {
    padding: 1rem 0rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.product-qty-wrapper .elements-quantity {
    padding: 0rem;
    border: 0;
}

.product-qty-wrapper .elements-quantity button {
    min-width: 2rem;
    border-radius: 99rem;
    border: 0.0625rem solid currentColor;
}

.product-qty-wrapper .elements-quantity button:hover {
    background: rgb(var(--text-body-rgb-color));
    color: rgb(var(--background-rgb-color));
}

.password-section .page-max--size {
    display: flex;
    flex-wrap: wrap;
    height: 100vh;
}
.password-title {
    margin-block-end: 2rem;
}
.shopify-policy__body {
    margin-block: 4rem;
}
.shopify-policy__title h1 {
    margin-block-start: 4rem;
    text-align: left;
    font-size: var(--font-h2);
}
.shp-tab-content {
    margin-block-start: 1rem;
}
.product-info-des.description.rte p {
    margin-block-start: 1rem;
}

.pwd-head {
    margin-block: 1rem;
    align-self: baseline;
    width: 100%;
}
.shopify-policy__body {
    margin-block: 4rem;
}

.pwd-heading {
    margin-block-end: 1rem;
}

.password-body {
    max-width: 40rem;
    margin-inline: auto;
}

.gift-card-recipient {
  display: block;
}

.recipient-toggle {
    display: block;
    position: relative;
    font-size: var(--font-size-sm);
    margin-bottom: 1.5rem;
}

.recipient-toggle .icon-check {
  position: absolute;
  inset-block-start: 0.313rem;
  inset-inline-start: 0.313rem;
  width: 0.75rem;
  height: 0.75rem;
  opacity: 0;
  visibility: hidden;
}

.recipient-toggle::before {
  content: "";
  position: relative;
  width: 1.3rem;
  height: 1.3rem;
  background: rgb(var(--background-rgb-color));
  border: 0.063rem solid rgb(var(--border-rgb-color));
  cursor: pointer;
  display: inline-block;
  outline: none;
  vertical-align: top;
  border-radius: min(0.3rem, var(--input-radius));
  -webkit-appearance: none;
  appearance: none;
  transition: all 0.3s ease-in-out;
  margin-right: 0.5rem;
}

.gift-card-recipient .gift-checkbox:checked ~ .recipient-toggle .icon-check {
  opacity: 1;
  visibility: visible;
}

.gift-card-recipient > .gift-checkbox:not(:checked, :disabled) ~ .product-gift-fields {
  display: none;
}

.gift-card-recipient > .gift-checkbox:checked ~ .product-gift-fields {
  display: block;
  margin-block-end: 1.5rem;
}

@media screen and (min-width: 768px) {
    .product-qty-wrapper .elements-quantity button {
        min-width: 2.3rem;
    }
}

@media screen and (min-width: 992px) {
    .content-wd {
        width: auto;
        max-width: 64rem;
    }
    .content-wd--small {
        max-width: 32rem;
    }
    .content-wd--medium {
        max-width: 42rem;
    }
    .desktop-hide {
        display: none !important;
    }
    .mobile-image, .mobile-media {
        display: none;
    }
    .section-head {
        padding-block-end: 2rem;
    }
    .section-text,
    .section-btn {
        margin-block-start: 1rem;
    }
    .product-media-zoom {
        opacity: 0;
        height: 2.8rem;
        width: 2.8rem;
        transform: scale(0.5);
    }
    .product-main-slider .swiper-slide:is(:hover, :focus) .product-media-zoom {
        opacity: 1;
        transform: scale(1);
    }
    .cart-product-thumb {
        max-width: 8.375rem;
        height: 8.375rem;
    }
    .product-cart-item .cart-product {
        margin-block: 2rem;
    }
    .mobiledrag {
        display: none;
    }
    .dialog {
        height: 100vh;
    }
    .dialog-close {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .dialog .dialog-inner {
        height: 100%;
    }
    :is(.shareProduct, .askQuestion, .add-address-dialog, .password-dialog, .search-dialog, .quick-view-dialog, .newsletter) .dialog-inner {
        opacity: 0;
        height: auto;
        visibility: hidden;
        transform: translateY(4rem);
        border-radius: var(--drawer-radius);
    }
    .dialog:is(.is-active) .dialog-inner {
        opacity: 1;
        transform: none;
        visibility: visible;
    }
    .dialog.is-active:is(.shareProduct, .askQuestion, .add-address-dialog, .password-dialog, .search-dialog, .quick-view-dialog, .newsletter) .dialog-inner {
        transition: all 1.4s linear(0 0%, 0.22 2.1%, 0.86 6.5%, 1.11 8.6%, 1.3 10.7%, 1.35 11.8%, 1.37 12.9%, 1.37 13.7%, 1.36 14.5%, 1.32 16.2%, 1.03 21.8%, 0.94 24%, 0.89 25.9%, 0.88 26.85%, 0.87 27.8%, 0.87 29.25%, 0.88 30.7%, 0.91 32.4%, 0.98 36.4%, 1.01 38.3%, 1.04 40.5%, 1.05 42.7%, 1.05 44.1%, 1.04 45.7%, 1 53.3%, 0.99 55.4%, 0.98 57.5%, 0.99 60.7%, 1 68.1%, 1.01 72.2%, 1 86.7%, 1 100%) 0.2s;
    }
    :is(.shareProduct, .askQuestion, .password-dialog) .dialog-inner {
        max-width: 36rem;
        padding-block: 1rem;
    }
    .dialog:is(.add-address-dialog) .dialog-content {
        max-width: 100%; 
    }
    .dialog .dialog-inner:is(.max-w-auto) {
        width: auto;
        max-width: inherit;
    }
    .dialog .dialog-content {
        max-height: calc(100vh - 12rem);
        padding: 0.5rem 2.5rem 1.5rem;
    }
    .dialog:is(.size-chart-dialog) .dialog-content {
        max-height: calc(100vh - 5rem);
    }
    .dialog.store-availibility-dialog .dialog-content {
        padding: 2rem 2.5rem 1.5rem;
    }
    .dialog-footer .action-wrapper .link-btn {
        margin-block-start: 1rem;
    }
    .dialog-tabs {
        margin-block-end: 2rem;
    }
    .dialog-footer {
        padding: 2rem;
    }
    .cart-product {
        margin-block: 1.75rem;
    }
    .slider-click.swiper-button-prev:hover .slider-nav-icons {
        transform: translateX(-75%);
    }
    .slider-click.swiper-button-next:hover .slider-nav-icons {
        transform: translateX(75%);
    }
}
.size-chart-dialog .text-small.rte {
    margin-block-start: 1.5rem;
}

@media screen and (max-width: 991.98px) {
    .small-hide {
        display: none !important;
    }
    .mobile-align-start {
        text-align: start;
    }
    .mobile-align-center {
        text-align: center;
    }
    .mobile-align-end {
        text-align: end;
    }
    .slider-banner-media:has(.mobile-media) .desktop-media,
    .mobile-image ~ .desktop-image {
        display: none;
    }
    .dialog {
        align-items: flex-end;
        margin-block-end: 0;
        max-width: 100%;
    }
    .dialog-header .dialog-dismiss {
        display:none;
    }
    .dialog .dialog-inner {
        border-top-left-radius: 1rem;
        border-top-right-radius: 1rem;
    }
    .dialog:not(.is-active) .dialog-inner {
        transform: translateY(100%);
    }
    .newsletter .dialog-close {
        display: inline-flex;
        align-items: center;
        justify-content: center;
    }
    dialog.dialog {
        height: 100%;
        max-height: 100%;
    }
}

@media screen and (min-width: 1280px) {
    .content-wd--small {
        max-width: 40rem;
    }
    .content-wd--medium {
        max-width: 58rem;
    }
    .content-wd--large {
        max-width: 64rem;
    }
}

@media screen and (min-width: 1920px) {
    .content-wd--medium {
        max-width: 64rem;
    }
    .content-wd--large {
        max-width: 72rem;
    }
}

@media screen and (max-width: 767.98px) {
    .dialog-tabs-button {
        gap: .4rem;
        padding: .4rem .588rem;
        font-size: var(--font-size-xs);
    }
    .dialog-title {
        margin-block-start: 1rem;
    }
}
/* Footer mobile menu fix */
@media screen and (max-width: 749px) {
  .footer details,
  .footer summary,
  .footer details[open] {
    background-color: #ffffff !important;
    color: #000000 !important;
  }
  .footer details a,
  .footer summary span {
    color: #000000 !important;
  }
}

  }
}

